Bug 1374938 - eclipse spec has fragile logic
Summary: eclipse spec has fragile logic
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-10 17:18 UTC by Dennis Gilmore
Modified: 2016-09-28 01:56 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-22 07:32:09 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2016-09-10 17:18:31 UTC
Description of problem:
%mvn_build -j -f -- -DforceContextQualifier=$(date -u +v%Y%m%d-1000) \

results in provides and requires having the date embeded into them.  As there is a noarch subpackge in the output we can end up with builds that are not installable. the buildsystem runs on UTC, if a build is submitted close to midnight some arches could be started before midnight and get one day and other arches started after midnight getting a different day.


As a real world situation with the import of aarch64 into koji.fedoraproject.org eclipse on aarch64 is not installable because the aarch64 build happeend to be built the day after the rest. eclipse now needs to be rebootstrapped, though it fails on x86_64 to build

Comment 1 Fedora Update System 2016-09-16 11:39:23 UTC
jsch-0.1.54-2.fc24 dnsjava-2.1.3-11.fc24 eclipse-ecf-3.13.2-1.fc24 eclipse-4.6.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7afee00d24

Comment 2 Fedora Update System 2016-09-16 11:39:41 UTC
dnsjava-2.1.3-11.fc25 eclipse-ecf-3.13.2-1.fc25 eclipse-4.6.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab98d0993e

Comment 3 Fedora Update System 2016-09-17 00:53:14 UTC
dnsjava-2.1.3-11.fc24, eclipse-4.6.1-2.fc24, eclipse-ecf-3.13.2-1.fc24, jsch-0.1.54-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7afee00d24

Comment 4 Fedora Update System 2016-09-17 20:56:01 UTC
dnsjava-2.1.3-11.fc25, eclipse-4.6.1-2.fc25, eclipse-ecf-3.13.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab98d0993e

Comment 5 Fedora Update System 2016-09-22 07:32:09 UTC
dnsjava-2.1.3-11.fc25, eclipse-4.6.1-2.fc25, eclipse-ecf-3.13.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-28 01:56:28 UTC
dnsjava-2.1.3-11.fc24, eclipse-4.6.1-2.fc24, eclipse-ecf-3.13.2-1.fc24, jsch-0.1.54-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.